Last Comment Bug 729041 - Remove nsEditorParserObserver
: Remove nsEditorParserObserver
Status: RESOLVED FIXED
[mentor=hsivonen][lang=C++]
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Charles Chan
:
Mentors:
Depends on:
Blocks: 729050
  Show dependency treegraph
 
Reported: 2012-02-21 01:57 PST by Henri Sivonen (:hsivonen)
Modified: 2012-03-15 07:58 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Bug 729041: Patch-1 (8.98 KB, patch)
2012-03-11 18:36 PDT, Charles Chan
hsivonen: review+
Details | Diff | Review

Description Henri Sivonen (:hsivonen) 2012-02-21 01:57:13 PST
I don't know what nsEditorParserObserver is supposed to do but the HTML5 parser doesn't support notifying it.

Since failure to notify this observer hasn't been noticed as a problem in over a year, let's remove this mystery observer.
Comment 1 neil@parkwaycc.co.uk 2012-02-21 06:22:48 PST
It used to stop you editing frameset documents. The caller was rewritten 10 years ago but nobody noticed that the replacement code didn't use it...
Comment 2 neil@parkwaycc.co.uk 2012-02-21 06:24:08 PST
[Removal is probably build system changes only, no C++ knowledge needed.]
Comment 3 Charles Chan 2012-03-11 18:36:23 PDT
Created attachment 604814 [details] [diff] [review]
Bug 729041: Patch-1

Here's the patch file. There is no dependency on the the Makefile either, therefore, simply require the use of 'hg remove ...'
Comment 4 Henri Sivonen (:hsivonen) 2012-03-13 11:23:08 PDT
Do you have mercurial push access? Should this be now treated as [checkin-needed]?
Comment 5 Charles Chan 2012-03-13 12:34:53 PDT
Hello Henri, I do not have push access. Shall I set the [checkin-needed] flag as you  have stated above?
Comment 6 Henri Sivonen (:hsivonen) 2012-03-14 04:04:40 PDT
(In reply to Charles Chan from comment #5)
> Hello Henri, I do not have push access. Shall I set the [checkin-needed]
> flag as you  have stated above?

Normally the next step would have been adding "checkin-needed" to the keyword field. However, knowing that you would have done it next, I went ahead and treated this bug as if it had been marked checkin-needed already.

That is, I landed the patch to inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ee2931fcb5ae

(I tweaked the commit message to include ". r=hsivonen." and changed the separator punctuation after the bug number to use the more common convention.)

Thank you.

(This bug will be marked FIXED once mozilla-inbound is merged into mozilla-central.)
Comment 7 Charles Chan 2012-03-14 07:23:27 PDT
Thanks! Henri.
Comment 8 Marco Bonardo [::mak] 2012-03-15 07:58:24 PDT
https://hg.mozilla.org/mozilla-central/rev/ee2931fcb5ae

Note You need to log in before you can comment on or make changes to this bug.